Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drupal.project.async_command
Class AsyncCommand.Record

    java.lang.Object
      org.drupal.project.async_command.AsyncCommand.Record

All Implemented Interfaces:
  java.lang.Comparable<AsyncCommand.Record>

Enclosing class:
  AsyncCommand

    public static class AsyncCommand.Record

extends java.lang.Object
implements java.lang.Comparable<AsyncCommand.Record>

Database record for this AsyncCommand. Being inner class means this class and the outer class can share access to private members.

Field Summary
`protected java.lang.String` | `app`
`protected java.lang.Long` | `checkpoint`
`protected java.lang.String` | `command`
`protected java.lang.String` | `control`
`protected java.lang.Long` | `created`
`protected java.lang.Long` | `dependency`
`protected java.lang.String` | `description`
`protected java.lang.Long` | `eid`
`protected java.lang.Long` | `end`
`protected java.lang.Long` | `id`
`protected java.lang.Long` | `id1`
`protected java.lang.Long` | `id2`
`protected byte[]` | `input`
`protected java.lang.String` | `message`
`protected java.lang.Float` | `number1`
`protected java.lang.Float` | `number2`
`protected java.lang.Float` | `number3`
`protected java.lang.Float` | `number4`
`protected byte[]` | `output`
`protected java.lang.Float` | `progress`
`protected java.lang.Long` | `start`
`protected java.lang.String` | `status`
`protected java.lang.String` | `string1`
`protected java.lang.String` | `string2`
`protected java.lang.Long` | `uid`
`protected java.lang.Long` | `weight`

Constructor Summary
`AsyncCommand.Record(java.util.Map<java.lang.String,java.lang.Object> row, DrupalConnection drupalConnection)` Given the database query result, construct a AsyncCommand Record object.

Method Summary
`int` | `compareTo(AsyncCommand.Record o)` The smaller the weight, created, or id, the smaller the record.
`java.lang.String` | `getCommand()`
`AsyncCommand.Status` | `getStatus()`
`void` | `persistField(java.lang.String fieldName, java.lang.Object fieldValue)` Update a single field in the {async_command} table.
`void` | `persistResult()` Update the result and status part of the command record.
`void` | `setStatus(AsyncCommand.Status status)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### id

    protected final java.lang.Long id

### app

    protected final java.lang.String app

### command

    protected final java.lang.String command

### description

    protected final java.lang.String description

### uid

    protected final java.lang.Long uid

### eid

    protected final java.lang.Long eid

### created

    protected final java.lang.Long created

### input

    protected final byte[] input

### output

    protected byte[] output

### id1

    protected java.lang.Long id1

### id2

    protected java.lang.Long id2

### number1

    protected java.lang.Float number1

### number2

    protected java.lang.Float number2

### number3

    protected java.lang.Float number3

### number4

    protected java.lang.Float number4

### string1

    protected java.lang.String string1

### string2

    protected java.lang.String string2

### status

    protected java.lang.String status

### control

    protected java.lang.String control

### message

    protected java.lang.String message

### weight

    protected java.lang.Long weight

### dependency

    protected final java.lang.Long dependency

### start

    protected java.lang.Long start

### end

    protected java.lang.Long end

### checkpoint

    protected java.lang.Long checkpoint

### progress

    protected java.lang.Float progress

Constructor Detail

### AsyncCommand.Record

    public AsyncCommand.Record(java.util.Map<java.lang.String,java.lang.Object> row,
                               DrupalConnection drupalConnection)

  Given the database query result, construct a AsyncCommand Record object.

  Parameters:
    `row` - Database row for this record, should exact match the record.
    `drupalConnection` -

Method Detail

### getCommand

    public java.lang.String getCommand()

### setStatus

    public void setStatus(AsyncCommand.Status status)

### getStatus

    public AsyncCommand.Status getStatus()

### persistResult

    public void persistResult()

  Update the result and status part of the command record.

### persistField

    public void persistField(java.lang.String fieldName,
                             java.lang.Object fieldValue)

  Update a single field in the {async_command} table.

  Parameters:
    `fieldName` - Can only be status, control, message, weight, start, end, checkpoint and progress.
    `fieldValue` - The value of the field. Doesn't have to match to the class member field.

### compareTo

    public int compareTo(AsyncCommand.Record o)

  The smaller the weight, created, or id, the smaller the record. Smaller record would get executed first.

  Specified by:
    `compareTo` in interface `java.lang.Comparable<AsyncCommand.Record>`
  Parameters:
    `o` -
  Returns:

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD